package com.hzya.frame.u9c.saledeliver.entity;

import com.hzya.frame.web.entity.BaseEntity;

import java.math.BigDecimal;

/**
 * (VU9cSaledeliverDetails)实体类
 *
 * @author makejava
 * @since 2023-11-07 11:13:00
 */
public class VU9cSaledeliverDetailsEntity extends BaseEntity {
 
    
    private String rowId;
    
    private String mainId;
    
    private String invCode;
    
    private String invName;
    
    private String spec;
    
    private String num;
    
    private String unitCode;
    
    private String unitName;
    
    private String pricNum;
    
    private String measCode;
    
    private String measName;
    
    private String finalPrice;
    
    private String untaxedAmount;
    
    private String taxAmount;
    
    private String totalPrice;
    
    private String taxCombinationCode;
    
    private String taxCombinationName;
    
    private String storageLocationCode;
    
    private String storageLocationName;
    
    private String batch;
    
    private String period;
    
    private String expiration;
    
    private String updateTime;
    
    private String costAmount;
    
    private String warehouseKeeperCode;
    
    private String warehouseKeeperName;
    
    private String wmsLocationCode;
    
    private String wmsLocationName;
    
    private String deptCode;
    
    private String deptName;
    private String salesOrderProductId;
    private String crmProId;
    private String ShipConfirmDate;
    private String TotalNetMoneyTC;
    private String TotalMoneyTC;
    private BigDecimal TotalMoneyTCNEW;
    private BigDecimal OrderByQtyTU;
    private String id;
    private String salesOrderId;

    public String getSalesOrderId() {
        return salesOrderId;
    }

    public void setSalesOrderId(String salesOrderId) {
        this.salesOrderId = salesOrderId;
    }

    public BigDecimal getOrderByQtyTU() {
        return OrderByQtyTU;
    }

    public void setOrderByQtyTU(BigDecimal orderByQtyTU) {
        OrderByQtyTU = orderByQtyTU;
    }

    @Override
    public String getId() {
        return id;
    }

    @Override
    public void setId(String id) {
        this.id = id;
    }

    public BigDecimal getTotalMoneyTCNEW() {
        return TotalMoneyTCNEW;
    }

    public void setTotalMoneyTCNEW(BigDecimal totalMoneyTCNEW) {
        TotalMoneyTCNEW = totalMoneyTCNEW;
    }

    public String getTotalNetMoneyTC() {
        return TotalNetMoneyTC;
    }

    public void setTotalNetMoneyTC(String totalNetMoneyTC) {
        TotalNetMoneyTC = totalNetMoneyTC;
    }

    public String getTotalMoneyTC() {
        return TotalMoneyTC;
    }

    public void setTotalMoneyTC(String totalMoneyTC) {
        TotalMoneyTC = totalMoneyTC;
    }

    public String getShipConfirmDate() {
        return ShipConfirmDate;
    }

    public void setShipConfirmDate(String shipConfirmDate) {
        ShipConfirmDate = shipConfirmDate;
    }

    public String getCrmProId() {
        return crmProId;
    }

    public void setCrmProId(String crmProId) {
        this.crmProId = crmProId;
    }

    public String getSalesOrderProductId() {
        return salesOrderProductId;
    }

    public void setSalesOrderProductId(String salesOrderProductId) {
        this.salesOrderProductId = salesOrderProductId;
    }

    public String getRowId() {
        return rowId;
    }

    public void setRowId(String rowId) {
        this.rowId = rowId;
    }

    public String getMainId() {
        return mainId;
    }

    public void setMainId(String mainId) {
        this.mainId = mainId;
    }

    public String getInvCode() {
        return invCode;
    }

    public void setInvCode(String invCode) {
        this.invCode = invCode;
    }

    public String getInvName() {
        return invName;
    }

    public void setInvName(String invName) {
        this.invName = invName;
    }

    public String getSpec() {
        return spec;
    }

    public void setSpec(String spec) {
        this.spec = spec;
    }

    public String getNum() {
        return num;
    }

    public void setNum(String num) {
        this.num = num;
    }

    public String getUnitCode() {
        return unitCode;
    }

    public void setUnitCode(String unitCode) {
        this.unitCode = unitCode;
    }

    public String getUnitName() {
        return unitName;
    }

    public void setUnitName(String unitName) {
        this.unitName = unitName;
    }

    public String getPricNum() {
        return pricNum;
    }

    public void setPricNum(String pricNum) {
        this.pricNum = pricNum;
    }

    public String getMeasCode() {
        return measCode;
    }

    public void setMeasCode(String measCode) {
        this.measCode = measCode;
    }

    public String getMeasName() {
        return measName;
    }

    public void setMeasName(String measName) {
        this.measName = measName;
    }

    public String getFinalPrice() {
        return finalPrice;
    }

    public void setFinalPrice(String finalPrice) {
        this.finalPrice = finalPrice;
    }

    public String getUntaxedAmount() {
        return untaxedAmount;
    }

    public void setUntaxedAmount(String untaxedAmount) {
        this.untaxedAmount = untaxedAmount;
    }

    public String getTaxAmount() {
        return taxAmount;
    }

    public void setTaxAmount(String taxAmount) {
        this.taxAmount = taxAmount;
    }

    public String getTotalPrice() {
        return totalPrice;
    }

    public void setTotalPrice(String totalPrice) {
        this.totalPrice = totalPrice;
    }

    public String getTaxCombinationCode() {
        return taxCombinationCode;
    }

    public void setTaxCombinationCode(String taxCombinationCode) {
        this.taxCombinationCode = taxCombinationCode;
    }

    public String getTaxCombinationName() {
        return taxCombinationName;
    }

    public void setTaxCombinationName(String taxCombinationName) {
        this.taxCombinationName = taxCombinationName;
    }

    public String getStorageLocationCode() {
        return storageLocationCode;
    }

    public void setStorageLocationCode(String storageLocationCode) {
        this.storageLocationCode = storageLocationCode;
    }

    public String getStorageLocationName() {
        return storageLocationName;
    }

    public void setStorageLocationName(String storageLocationName) {
        this.storageLocationName = storageLocationName;
    }

    public String getBatch() {
        return batch;
    }

    public void setBatch(String batch) {
        this.batch = batch;
    }

    public String getPeriod() {
        return period;
    }

    public void setPeriod(String period) {
        this.period = period;
    }

    public String getExpiration() {
        return expiration;
    }

    public void setExpiration(String expiration) {
        this.expiration = expiration;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getCostAmount() {
        return costAmount;
    }

    public void setCostAmount(String costAmount) {
        this.costAmount = costAmount;
    }

    public String getWarehouseKeeperCode() {
        return warehouseKeeperCode;
    }

    public void setWarehouseKeeperCode(String warehouseKeeperCode) {
        this.warehouseKeeperCode = warehouseKeeperCode;
    }

    public String getWarehouseKeeperName() {
        return warehouseKeeperName;
    }

    public void setWarehouseKeeperName(String warehouseKeeperName) {
        this.warehouseKeeperName = warehouseKeeperName;
    }

    public String getWmsLocationCode() {
        return wmsLocationCode;
    }

    public void setWmsLocationCode(String wmsLocationCode) {
        this.wmsLocationCode = wmsLocationCode;
    }

    public String getWmsLocationName() {
        return wmsLocationName;
    }

    public void setWmsLocationName(String wmsLocationName) {
        this.wmsLocationName = wmsLocationName;
    }

    public String getDeptCode() {
        return deptCode;
    }

    public void setDeptCode(String deptCode) {
        this.deptCode = deptCode;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

}

